/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.plc4x.java.opcua.readwrite;

import java.util.HashMap;
import java.util.Map;

// Code generated by code-generation. DO NOT EDIT.

public enum OpcuaNodeIdServicesVariableLimit {
  LimitAlarmType_EventId((int) 6116L),
  LimitAlarmType_EventType((int) 6117L),
  LimitAlarmType_SourceNode((int) 6118L),
  LimitAlarmType_SourceName((int) 6119L),
  LimitAlarmType_Time((int) 6120L),
  LimitAlarmType_ReceiveTime((int) 6121L),
  LimitAlarmType_LocalTime((int) 6122L),
  LimitAlarmType_Message((int) 6123L),
  LimitAlarmType_Severity((int) 6124L),
  LimitAlarmType_Retain((int) 6125L),
  LimitAlarmType_ConditionRefresh_InputArguments((int) 6127L),
  LimitAlarmType_ConditionName((int) 9217L),
  LimitAlarmType_BranchId((int) 9218L),
  LimitAlarmType_EnabledState((int) 9219L),
  LimitAlarmType_EnabledState_Id((int) 9220L),
  LimitAlarmType_EnabledState_Name((int) 9221L),
  LimitAlarmType_EnabledState_Number((int) 9222L),
  LimitAlarmType_EnabledState_EffectiveDisplayName((int) 9223L),
  LimitAlarmType_EnabledState_TransitionTime((int) 9224L),
  LimitAlarmType_EnabledState_EffectiveTransitionTime((int) 9225L),
  LimitAlarmType_EnabledState_TrueState((int) 9226L),
  LimitAlarmType_EnabledState_FalseState((int) 9227L),
  LimitAlarmType_Quality((int) 9228L),
  LimitAlarmType_Quality_SourceTimestamp((int) 9229L),
  LimitAlarmType_LastSeverity((int) 9230L),
  LimitAlarmType_LastSeverity_SourceTimestamp((int) 9231L),
  LimitAlarmType_Comment((int) 9232L),
  LimitAlarmType_Comment_SourceTimestamp((int) 9233L),
  LimitAlarmType_ClientUserId((int) 9234L),
  LimitAlarmType_AddComment_InputArguments((int) 9238L),
  LimitAlarmType_AckedState((int) 9239L),
  LimitAlarmType_AckedState_Id((int) 9240L),
  LimitAlarmType_AckedState_Name((int) 9241L),
  LimitAlarmType_AckedState_Number((int) 9242L),
  LimitAlarmType_AckedState_EffectiveDisplayName((int) 9243L),
  LimitAlarmType_AckedState_TransitionTime((int) 9244L),
  LimitAlarmType_AckedState_EffectiveTransitionTime((int) 9245L),
  LimitAlarmType_AckedState_TrueState((int) 9246L),
  LimitAlarmType_AckedState_FalseState((int) 9247L),
  LimitAlarmType_ConfirmedState((int) 9248L),
  LimitAlarmType_ConfirmedState_Id((int) 9249L),
  LimitAlarmType_ConfirmedState_Name((int) 9250L),
  LimitAlarmType_ConfirmedState_Number((int) 9251L),
  LimitAlarmType_ConfirmedState_EffectiveDisplayName((int) 9252L),
  LimitAlarmType_ConfirmedState_TransitionTime((int) 9253L),
  LimitAlarmType_ConfirmedState_EffectiveTransitionTime((int) 9254L),
  LimitAlarmType_ConfirmedState_TrueState((int) 9255L),
  LimitAlarmType_ConfirmedState_FalseState((int) 9256L),
  LimitAlarmType_Acknowledge_InputArguments((int) 9258L),
  LimitAlarmType_Confirm_InputArguments((int) 9260L),
  LimitAlarmType_ActiveState((int) 9261L),
  LimitAlarmType_ActiveState_Id((int) 9262L),
  LimitAlarmType_ActiveState_Name((int) 9263L),
  LimitAlarmType_ActiveState_Number((int) 9264L),
  LimitAlarmType_ActiveState_EffectiveDisplayName((int) 9265L),
  LimitAlarmType_ActiveState_TransitionTime((int) 9266L),
  LimitAlarmType_ActiveState_EffectiveTransitionTime((int) 9267L),
  LimitAlarmType_ActiveState_TrueState((int) 9268L),
  LimitAlarmType_ActiveState_FalseState((int) 9269L),
  LimitAlarmType_SuppressedState((int) 9270L),
  LimitAlarmType_SuppressedState_Id((int) 9271L),
  LimitAlarmType_SuppressedState_Name((int) 9272L),
  LimitAlarmType_SuppressedState_Number((int) 9273L),
  LimitAlarmType_SuppressedState_EffectiveDisplayName((int) 9274L),
  LimitAlarmType_SuppressedState_TransitionTime((int) 9275L),
  LimitAlarmType_SuppressedState_EffectiveTransitionTime((int) 9276L),
  LimitAlarmType_SuppressedState_TrueState((int) 9277L),
  LimitAlarmType_SuppressedState_FalseState((int) 9278L),
  LimitAlarmType_ShelvingState_CurrentState((int) 9280L),
  LimitAlarmType_ShelvingState_CurrentState_Id((int) 9281L),
  LimitAlarmType_ShelvingState_CurrentState_Name((int) 9282L),
  LimitAlarmType_ShelvingState_CurrentState_Number((int) 9283L),
  LimitAlarmType_ShelvingState_CurrentState_EffectiveDisplayName((int) 9284L),
  LimitAlarmType_ShelvingState_LastTransition((int) 9285L),
  LimitAlarmType_ShelvingState_LastTransition_Id((int) 9286L),
  LimitAlarmType_ShelvingState_LastTransition_Name((int) 9287L),
  LimitAlarmType_ShelvingState_LastTransition_Number((int) 9288L),
  LimitAlarmType_ShelvingState_LastTransition_TransitionTime((int) 9289L),
  LimitAlarmType_ShelvingState_UnshelveTime((int) 9290L),
  LimitAlarmType_ShelvingState_TimedShelve_InputArguments((int) 9315L),
  LimitAlarmType_SuppressedOrShelved((int) 9316L),
  LimitAlarmType_MaxTimeShelved((int) 9317L),
  LimitAlarmType_ConditionClassId((int) 11121L),
  LimitAlarmType_ConditionClassName((int) 11122L),
  LimitAlarmType_InputNode((int) 11123L),
  LimitAlarmType_HighHighLimit((int) 11124L),
  LimitAlarmType_HighLimit((int) 11125L),
  LimitAlarmType_LowLimit((int) 11126L),
  LimitAlarmType_LowLowLimit((int) 11127L),
  LimitAlarmType_ShelvingState_LastTransition_EffectiveTransitionTime((int) 11467L),
  LimitAlarmType_ConditionRefresh2_InputArguments((int) 12987L),
  LimitAlarmType_ConditionSubClassId((int) 16536L),
  LimitAlarmType_ConditionSubClassName((int) 16537L),
  LimitAlarmType_OutOfServiceState((int) 16538L),
  LimitAlarmType_OutOfServiceState_Id((int) 16539L),
  LimitAlarmType_OutOfServiceState_Name((int) 16540L),
  LimitAlarmType_OutOfServiceState_Number((int) 16541L),
  LimitAlarmType_OutOfServiceState_EffectiveDisplayName((int) 16542L),
  LimitAlarmType_OutOfServiceState_TransitionTime((int) 16543L),
  LimitAlarmType_OutOfServiceState_EffectiveTransitionTime((int) 16544L),
  LimitAlarmType_OutOfServiceState_TrueState((int) 16545L),
  LimitAlarmType_OutOfServiceState_FalseState((int) 16546L),
  LimitAlarmType_SilenceState((int) 16547L),
  LimitAlarmType_SilenceState_Id((int) 16548L),
  LimitAlarmType_SilenceState_Name((int) 16549L),
  LimitAlarmType_SilenceState_Number((int) 16550L),
  LimitAlarmType_SilenceState_EffectiveDisplayName((int) 16551L),
  LimitAlarmType_SilenceState_TransitionTime((int) 16552L),
  LimitAlarmType_SilenceState_EffectiveTransitionTime((int) 16553L),
  LimitAlarmType_SilenceState_TrueState((int) 16554L),
  LimitAlarmType_SilenceState_FalseState((int) 16555L),
  LimitAlarmType_AudibleEnabled((int) 16556L),
  LimitAlarmType_AudibleSound((int) 16557L),
  LimitAlarmType_OnDelay((int) 16562L),
  LimitAlarmType_OffDelay((int) 16563L),
  LimitAlarmType_FirstInGroupFlag((int) 16564L),
  LimitAlarmType_ReAlarmTime((int) 16567L),
  LimitAlarmType_ReAlarmRepeatCount((int) 16568L),
  LimitAlarmType_BaseHighHighLimit((int) 16572L),
  LimitAlarmType_BaseHighLimit((int) 16573L),
  LimitAlarmType_BaseLowLimit((int) 16574L),
  LimitAlarmType_BaseLowLowLimit((int) 16575L),
  LimitAlarmType_ShelvingState_AvailableStates((int) 17664L),
  LimitAlarmType_ShelvingState_AvailableTransitions((int) 17665L),
  LimitAlarmType_AudibleSound_ListId((int) 17879L),
  LimitAlarmType_AudibleSound_AgencyId((int) 17880L),
  LimitAlarmType_AudibleSound_VersionId((int) 17881L),
  LimitAlarmType_LatchedState((int) 18213L),
  LimitAlarmType_LatchedState_Id((int) 18214L),
  LimitAlarmType_LatchedState_Name((int) 18215L),
  LimitAlarmType_LatchedState_Number((int) 18216L),
  LimitAlarmType_LatchedState_EffectiveDisplayName((int) 18217L),
  LimitAlarmType_LatchedState_TransitionTime((int) 18218L),
  LimitAlarmType_LatchedState_EffectiveTransitionTime((int) 18219L),
  LimitAlarmType_LatchedState_TrueState((int) 18220L),
  LimitAlarmType_LatchedState_FalseState((int) 18221L),
  LimitAlarmType_Suppress2_InputArguments((int) 24339L),
  LimitAlarmType_Unsuppress2_InputArguments((int) 24341L),
  LimitAlarmType_RemoveFromService2_InputArguments((int) 24343L),
  LimitAlarmType_PlaceInService2_InputArguments((int) 24345L),
  LimitAlarmType_Reset2_InputArguments((int) 24347L),
  LimitAlarmType_ShelvingState_TimedShelve2_InputArguments((int) 24763L),
  LimitAlarmType_ShelvingState_Unshelve2_InputArguments((int) 24765L),
  LimitAlarmType_ShelvingState_OneShotShelve2_InputArguments((int) 24767L),
  LimitAlarmType_SeverityHighHigh((int) 24770L),
  LimitAlarmType_SeverityHigh((int) 24771L),
  LimitAlarmType_SeverityLow((int) 24772L),
  LimitAlarmType_SeverityLowLow((int) 24773L),
  LimitAlarmType_HighHighDeadband((int) 24774L),
  LimitAlarmType_HighDeadband((int) 24775L),
  LimitAlarmType_LowDeadband((int) 24776L),
  LimitAlarmType_LowLowDeadband((int) 24777L),
  LimitAlarmType_GetGroupMemberships_OutputArguments((int) 25159L),
  LimitAlarmType_SupportsFilteredRetain((int) 32227L);
  private static final Map<Integer, OpcuaNodeIdServicesVariableLimit> map;

  static {
    map = new HashMap<>();
    for (OpcuaNodeIdServicesVariableLimit value : OpcuaNodeIdServicesVariableLimit.values()) {
      map.put((int) value.getValue(), value);
    }
  }

  private final int value;

  OpcuaNodeIdServicesVariableLimit(int value) {
    this.value = value;
  }

  public int getValue() {
    return value;
  }

  public static OpcuaNodeIdServicesVariableLimit enumForValue(int value) {
    return map.get(value);
  }

  public static Boolean isDefined(int value) {
    return map.containsKey(value);
  }
}
